# -*- encoding: utf-8 -*-
# stub: parser 2.3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "parser".freeze
  s.version = "2.3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["whitequark".freeze]
  s.date = "2016-04-27"
  s.description = "A Ruby parser written in pure Ruby.".freeze
  s.email = ["whitequark@whitequark.org".freeze]
  s.executables = ["ruby-parse".freeze, "ruby-rewrite".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/ruby-parse".freeze, "bin/ruby-rewrite".freeze, "doc/AST_FORMAT.md".freeze, "doc/CUSTOMIZATION.md".freeze, "doc/INTERNALS.md".freeze, "doc/css/.gitkeep".freeze, "doc/css/common.css".freeze, "lib/gauntlet_parser.rb".freeze, "lib/parser.rb".freeze, "lib/parser/all.rb".freeze, "lib/parser/ast/node.rb".freeze, "lib/parser/ast/processor.rb".freeze, "lib/parser/base.rb".freeze, "lib/parser/builders/default.rb".freeze, "lib/parser/clobbering_error.rb".freeze, "lib/parser/compatibility/ruby1_8.rb".freeze, "lib/parser/compatibility/ruby1_9.rb".freeze, "lib/parser/current.rb".freeze, "lib/parser/diagnostic.rb".freeze, "lib/parser/diagnostic/engine.rb".freeze, "lib/parser/lexer.rb".freeze, "lib/parser/lexer.rl".freeze, "lib/parser/lexer/dedenter.rb".freeze, "lib/parser/lexer/explanation.rb".freeze, "lib/parser/lexer/literal.rb".freeze, "lib/parser/lexer/stack_state.rb".freeze, "lib/parser/macruby.rb".freeze, "lib/parser/macruby.y".freeze, "lib/parser/messages.rb".freeze, "lib/parser/meta.rb".freeze, "lib/parser/rewriter.rb".freeze, "lib/parser/ruby18.rb".freeze, "lib/parser/ruby18.y".freeze, "lib/parser/ruby19.rb".freeze, "lib/parser/ruby19.y".freeze, "lib/parser/ruby20.rb".freeze, "lib/parser/ruby20.y".freeze, "lib/parser/ruby21.rb".freeze, "lib/parser/ruby21.y".freeze, "lib/parser/ruby22.rb".freeze, "lib/parser/ruby22.y".freeze, "lib/parser/ruby23.rb".freeze, "lib/parser/ruby23.y".freeze, "lib/parser/ruby24.rb".freeze, "lib/parser/ruby24.y".freeze, "lib/parser/rubymotion.rb".freeze, "lib/parser/rubymotion.y".freeze, "lib/parser/runner.rb".freeze, "lib/parser/runner/ruby_parse.rb".freeze, "lib/parser/runner/ruby_rewrite.rb".freeze, "lib/parser/source/buffer.rb".freeze, "lib/parser/source/comment.rb".freeze, "lib/parser/source/comment/associator.rb".freeze, "lib/parser/source/map.rb".freeze, "lib/parser/source/map/collection.rb".freeze, "lib/parser/source/map/condition.rb".freeze, "lib/parser/source/map/constant.rb".freeze, "lib/parser/source/map/definition.rb".freeze, "lib/parser/source/map/for.rb".freeze, "lib/parser/source/map/heredoc.rb".freeze, "lib/parser/source/map/keyword.rb".freeze, "lib/parser/source/map/objc_kwarg.rb".freeze, "lib/parser/source/map/operator.rb".freeze, "lib/parser/source/map/rescue_body.rb".freeze, "lib/parser/source/map/send.rb".freeze, "lib/parser/source/map/ternary.rb".freeze, "lib/parser/source/map/variable.rb".freeze, "lib/parser/source/range.rb".freeze, "lib/parser/source/rewriter.rb".freeze, "lib/parser/source/rewriter/action.rb".freeze, "lib/parser/static_environment.rb".freeze, "lib/parser/syntax_error.rb".freeze, "lib/parser/version.rb".freeze, "parser.gemspec".freeze, "test/bug_163/fixtures/input.rb".freeze, "test/bug_163/fixtures/output.rb".freeze, "test/bug_163/rewriter.rb".freeze, "test/bug_163/test_runner_rewrite.rb".freeze, "test/helper.rb".freeze, "test/parse_helper.rb".freeze, "test/racc_coverage_helper.rb".freeze, "test/test_base.rb".freeze, "test/test_current.rb".freeze, "test/test_diagnostic.rb".freeze, "test/test_diagnostic_engine.rb".freeze, "test/test_encoding.rb".freeze, "test/test_lexer.rb".freeze, "test/test_lexer_stack_state.rb".freeze, "test/test_parse_helper.rb".freeze, "test/test_parser.rb".freeze, "test/test_source_buffer.rb".freeze, "test/test_source_comment.rb".freeze, "test/test_source_comment_associator.rb".freeze, "test/test_source_map.rb".freeze, "test/test_source_range.rb".freeze, "test/test_source_rewriter.rb".freeze, "test/test_source_rewriter_action.rb".freeze, "test/test_static_environment.rb".freeze]
  s.homepage = "https://github.com/whitequark/parser".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.6.4".freeze
  s.summary = "A Ruby parser written in pure Ruby.".freeze
  s.test_files = ["test/bug_163/fixtures/input.rb".freeze, "test/bug_163/fixtures/output.rb".freeze, "test/bug_163/rewriter.rb".freeze, "test/bug_163/test_runner_rewrite.rb".freeze, "test/helper.rb".freeze, "test/parse_helper.rb".freeze, "test/racc_coverage_helper.rb".freeze, "test/test_base.rb".freeze, "test/test_current.rb".freeze, "test/test_diagnostic.rb".freeze, "test/test_diagnostic_engine.rb".freeze, "test/test_encoding.rb".freeze, "test/test_lexer.rb".freeze, "test/test_lexer_stack_state.rb".freeze, "test/test_parse_helper.rb".freeze, "test/test_parser.rb".freeze, "test/test_source_buffer.rb".freeze, "test/test_source_comment.rb".freeze, "test/test_source_comment_associator.rb".freeze, "test/test_source_map.rb".freeze, "test/test_source_range.rb".freeze, "test/test_source_rewriter.rb".freeze, "test/test_source_rewriter_action.rb".freeze, "test/test_static_environment.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ast>.freeze, ["~> 2.2"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.2"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_development_dependency(%q<racc>.freeze, ["= 1.4.14"])
      s.add_development_dependency(%q<cliver>.freeze, ["~> 0.3.0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
      s.add_development_dependency(%q<kramdown>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
      s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
      s.add_development_dependency(%q<coveralls>.freeze, [">= 0"])
      s.add_development_dependency(%q<json_pure>.freeze, [">= 0"])
      s.add_development_dependency(%q<mime-types>.freeze, ["~> 1.25"])
      s.add_development_dependency(%q<rest-client>.freeze, ["~> 1.6.7"])
      s.add_development_dependency(%q<simplecov-sublime-ruby-coverage>.freeze, [">= 0"])
      s.add_development_dependency(%q<gauntlet>.freeze, [">= 0"])
    else
      s.add_dependency(%q<ast>.freeze, ["~> 2.2"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.2"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_dependency(%q<racc>.freeze, ["= 1.4.14"])
      s.add_dependency(%q<cliver>.freeze, ["~> 0.3.0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
      s.add_dependency(%q<kramdown>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
      s.add_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
      s.add_dependency(%q<coveralls>.freeze, [">= 0"])
      s.add_dependency(%q<json_pure>.freeze, [">= 0"])
      s.add_dependency(%q<mime-types>.freeze, ["~> 1.25"])
      s.add_dependency(%q<rest-client>.freeze, ["~> 1.6.7"])
      s.add_dependency(%q<simplecov-sublime-ruby-coverage>.freeze, [">= 0"])
      s.add_dependency(%q<gauntlet>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<ast>.freeze, ["~> 2.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.2"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<racc>.freeze, ["= 1.4.14"])
    s.add_dependency(%q<cliver>.freeze, ["~> 0.3.0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<kramdown>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.8.2"])
    s.add_dependency(%q<coveralls>.freeze, [">= 0"])
    s.add_dependency(%q<json_pure>.freeze, [">= 0"])
    s.add_dependency(%q<mime-types>.freeze, ["~> 1.25"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 1.6.7"])
    s.add_dependency(%q<simplecov-sublime-ruby-coverage>.freeze, [">= 0"])
    s.add_dependency(%q<gauntlet>.freeze, [">= 0"])
  end
end

